Skip to main content

Get Invoice

POST https://pgbiz.omniware.in/v1/getinvoicedetails
Content-Type: application/x-www-form-urlencoded

Request parameters

api_keystring (40)required
invoice_nointegerrequired
hashstring (255)required

Response

{
"data": {
"id": 505729,
"invoice no": 1020,
"merchant_name": "SBM Wallet",
"name": "Shivakrishna T",
"phone": "8904124421",
"email": "shivakrishnat095@gmail.com",
"invoice_pay_link": "https://pgbiz.omniware.in/invoice/1a75de95-407d-4b57-b50a-b3e449a365b0",
"invoice_line_details": [
{ "description": "Total cost for laundry ~Registration 1", "amount": "204.00" },
{ "description": "Total cost for laundry ~Registration 2", "amount": "51.00" }
],
"invoice date": "29-Jan-2024",
"due date": "28-Feb-2024",
"currency": "INR",
"address 1": "3rd floor, 4th Avenue No.4C-410/9, TF, 2nd Block,",
"address 2": "H.R.B.R Layout, Kalyan Nagar",
"city": "Bengaluru",
"sub total": "255.00",
"tax": "23.40",
"net total": "278.40",
"balance_amount": "278.40",
"status": "paid",
"payment_details": [
{ "paid_transaction_id": "RPVISC6537500472", "paid_date_time": "2019-12-26 16:13:05" },
{ "paid_transaction_id": "RPVISC4675941842", "paid_date_time": "2019-12-26 16:18:27" }
]
}
}

Errors:

{ "error": { "code": "GEN-INVALID-HASH", "message": "The hash key field is invalid" } }
{ "error": { "code": "GEN-INVOICE-NOT-FOUND", "message": "Invoice details not found" } }